Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76698 - weird mozilla machinations with plug-ins list
Summary: weird mozilla machinations with plug-ins list
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-24 23:42 UTC by Michal Jaegermann
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 15:56:02 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2002-10-24 23:42:29 UTC
Description of Problem:

Mysteriously enough when "About Plug-ins" under "Help" was chosen
Mozilla was showing a blank page although this worked as expected
elsewhere.

A cause for this problem turned out to be as follows; if there
exists ~/.netscape with a user profile in it and a Javascript is
there turned off then mozilla picks that up and "About Plug-ins"
comes blank.  That would be not that bad in itself if not that
small catch that turning on Javascript (surprisingly an "Advanced"
operation) has rather erratic results and sometimes plugins do
show up after that and sometimes do not.  Also changes in plugins
configurations (say after /etc/pluggerrc was changed due to an
installation of a new version or because some edits were done in
this file) will be either not picked up or things will be messed
up (double entries, etc.).


The only sure way to fix these bogosities seems to be a removal of
~/.mozilla/appreg file so it will be regenerated.  This would be not
that bad in itself, if somewhat obscure, if not that nasty detail that
after deleting this binary blob mozilla insists on "converting"
profiles again, with no escape hatch, and thus clobbers what one had
already customized in settings, bookmarks, etc.  No "conversion",
no startup.

The other surprise is if Mozilla was showing a blank plugins page then
Galeon, which apparently is using the same info, may do the same even
if Javascript there is turned-on.  After turning on Javascript in
Mozilla and showing plugins list Galeon seems to pick up even if
Javascript in Mozilla is turned off again.  Strange traps....

Comment 1 Bill Nottingham 2006-08-07 18:28:35 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 15:56:02 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.